package com.google.android.gms.internal;

public enum a {
    ADVERTISER_ID("_aid"),
    ADVERTISING_TRACKING_ENABLED("_ate"),
    APP_ID("_ai"),
    APP_NAME("_an"),
    APP_VERSION("_av"),
    ARBITRARY_JAVASCRIPT("_jsm"),
    CONSTANT("_c"),
    COOKIE("_k"),
    CUSTOM_VAR("_v"),
    CONTAINER_VERSION("_ctv"),
    DEBUG_MODE("_dbg"),
    DEVICE_NAME("_dn"),
    DEVICE_TYPE("_dt"),
    DOM_ELEMENT("_d"),
    EVENT("_e"),
    FUNCTION_CALL("_func"),
    JS_GLOBAL("_j"),
    LANGUAGE("_l"),
    OS_VERSION("_ov"),
    PLATFORM("_p"),
    RANDOM("_r"),
    REFERRER("_f"),
    RESOLUTION("_rs"),
    RUNTIME_VERSION("_rv"),
    SDK_VERSION("_sv"),
    SIMPLE_MAP("_smm"),
    TIME("_t"),
    URL("_u"),
    ADWORDS_CLICK_REFERRER("_awcr"),
    DEVICE_ID("_did"),
    ENCODE("_enc"),
    GTM_VERSION("_gtmv"),
    HASH("_hsh"),
    INSTALL_REFERRER("_ir"),
    JOINER("_jn"),
    MOBILE_ADWORDS_UNIQUE_ID("_awid"),
    REGEX_GROUP("_reg"),
    DATA_LAYER_WRITE("_dlw"),
    REGEX("_re"),
    STARTS_WITH("_sw"),
    ENDS_WITH("_ew"),
    CONTAINS("_cn"),
    EQUALS("_eq"),
    LESS_THAN("_lt"),
    LESS_EQUALS("_le"),
    GREATER_THAN("_gt"),
    GREATER_EQUALS("_ge"),
    ARBITRARY_PIXEL("_img"),
    ARBITRARY_HTML("_html"),
    GOOGLE_TAG_MANAGER("_gtm"),
    GOOGLE_ANALYTICS("_ga"),
    ADWORDS_CONVERSION("_awct"),
    SMART_PIXEL("_sp"),
    FLOODLIGHT_COUNTER("_flc"),
    FLOODLIGHT_SALES("_fls"),
    BIZO_INSIGHT("_bzi"),
    QUANTCAST_MEASUREMENT("_qcm"),
    TARGUS_ADVISOR("_ta"),
    MEDIAPLEX_ROI("_mpr"),
    COMSCORE_MEASUREMENT("_csm"),
    TURN_CONVERSION("_tc"),
    TURN_DATA_COLLECTION("_tdc"),
    MEDIA6DEGREES_UNIVERSAL_PIXEL("_m6d"),
    UNIVERSAL_ANALYTICS("_ua"),
    MEDIAPLEX_MCT("_mpm"),
    VISUAL_DNA_CONVERSION("_vdc"),
    GOOGLE_AFFILIATE_NETWORK("_gan"),
    MARIN_SOFTWARE("_ms"),
    ADROLL_SMART_PIXEL("_asp"),
    CONFIGURATION_VALUE("_cv"),
    CRITEO("_crt"),
    TRUSTED_STORES("_ts"),
    CLICK_TALE_STANDARD("_cts"),
    LINK_CLICK_LISTENER("_lcl"),
    FORM_SUBMIT_LISTENER("_fsl"),
    TIMER_LISTENER("_tl"),
    CLICK_LISTENER("_cl"),
    JS_ERROR_LISTENER("_jel");
    
    private final String aA;

    private a(String str) {
        this.aA = str;
    }

    public String toString() {
        return this.aA;
    }
}
